
QGIS Application - Bug report #16025

[macOS] Control feature rendering order will crash QGIS

2016-12-31 01:12 PM - Liangxu Wang

Status: Closed

Priority: High

Assignee: Peter Petrik

Category: mac_os_specific

Affected QGIS version:2.18.14 Regression?: No

Operating System: macOS Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 23940

Description

When use the "Control feature rendering order" in QGIS 2.18 on mac OSX sierra, it will be crashed.

Reproduce:

1. Add the csv file as a layer, ( with header, wgs 84)

2. In the Layer style dialog, check the "Control feature rendering order", define the order express, choose "count" 

3. Click the Apply or OK button

I have tried:

1. Convert the csv file to shape file, crashed.

2. Sort the csv file with count column, crashed.

3. Decrease some lines of the csv file (about ~500 lines, total 30.5K lines), not crashed.  Maybe memory problems?

History

#1 - 2016-12-31 01:29 PM - Liangxu Wang

- File qgis-test.csv added

I have tried import the csv data into postgis, and load data from postgis, qgis would be crashed too.

#2 - 2017-01-04 12:31 PM - Giovanni Manghi

- Subject changed from Control feature rendering order will crash QGIS to [macOS] Control feature rendering order will crash QGIS

- Category set to Data Provider/Delimited Text 

- Priority changed from Normal to High

- Affected QGIS version changed from 2.18.0 to 2.18.2

Confirmed on macOS (also Sierra here) but not on other platforms.

#3 - 2017-03-06 03:45 PM - Giovanni Manghi

- Category changed from Data Provider/Delimited Text  to Vectors

#4 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-11-18 06:59 PM - Martin Koppenhöfer
I can confirm this bug (crashing when "control feature rendering order" is activated) also for Mac OS High Sierra (10.13.1) and both, QGIS 2.14.20-1 and

QGIS 2.18.14-1 (both are current releases from kyngchaos). I also suppose it is a memory issue, because it doesn't happen (so far) when zoomed in (few

features visible).

#6 - 2017-11-18 07:01 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.2 to 2.18.14

- Description updated

#7 - 2018-09-05 07:04 PM - Denis Rouzaud

- Category changed from Vectors to mac_os_specific

#8 - 2018-10-10 04:01 PM - Peter Petrik

- Assignee set to Peter Petrik

#9 - 2018-10-11 05:12 PM - Peter Petrik

unable to reproduce with QGIS 3.3 (375afe5beaf5a17768f4898401a8d76ee4af3878) on MacOS Mojave 10.14.0

#10 - 2018-10-11 05:35 PM - Giovanni Manghi

- Status changed from Open to Feedback

#11 - 2018-10-19 08:04 PM - Denis Rouzaud

reporter specifies QGIS 2.18.

I guess it'll be a won't fix?

#12 - 2018-10-24 07:13 AM - Liangxu Wang

Confirmed that it is ok in QGIS 3.2.

#13 - 2018-10-24 08:20 AM - Nyall Dawson

- Status changed from Feedback to Closed

Files

qgis-test-crash.csv 1010 KB 2016-12-31 Liangxu Wang

qgis-test.csv 997 KB 2016-12-31 Liangxu Wang
